function GetValues()
{
	// Multiple value case.
	var intValues = $('#wccControl').slider("option", "values");
	if (intValues != null)
		return intValues;
	
	// Single value case.
	intValues = new Array();
	intValues.push( $('#wccControl').slider("option", "value") );
	return intValues;
}

function StartupControl()
{
	// Get the jQuery object.
	var obj = $('#wccControl');
	
	// slidestart
	obj.bind('slidestart', function (event, ui)
	{
	    wcc.RaiseEvent(wcc.kClear, "wccSlideStart");
	});
	
	// slide
	obj.bind('slide', function (event, ui)
	{
	    wcc.RaiseEvent(wcc.kSingle, "wccSlideMove", {'Values':GetValues()} );
	});
	
	// slide
	obj.bind('slidechange', function (event, ui)
	{
	    wcc.RaiseEvent(wcc.kMulti, "wccValueChange", {'Values':GetValues()} );
	});
	
	// slidestart
	obj.bind('slidestop', function (event, ui)
	{
	    wcc.RaiseEvent(wcc.kClear, "wccSlideStop");
	});
	
	// create
    obj.bind('slidecreate', function (event, ui) 
    {
        // Set control size. We have to do this again here
		// with jQueryButton.
		var strType = wcc.RealTypeOf(objOptions.ControlWidth);
		if (strType == 'Number' || strType == 'String')
		{
			wcc.SetControlSize(objOptions.ControlWidth, objOptions.ControlHeight);
		}
    });
	
	// FastStart
    wcc.FastStart(objOptions);
    
    // Set jQueryBase options.
    wcc.SetControlFontSize(objOptions.FontSize);
	wcc.SetCssLinkById('theme', objOptions.ThemeUrl);
	
    // Startup
	obj.slider(objOptions.jQueryStartup);
	wcc.ControlLoaded();
}
